TimeZone
Date: 2016-06-24

java.util

## Class TimeZone

- java.lang.Object
- - java.util.TimeZone

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    SimpleTimeZone

      public abstract class TimeZone
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LONG`
    `static int` | `SHORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeZone()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `static String[]` | `getAvailableIDs()`
    `static String[]` | `getAvailableIDs(int var0)`
    `static TimeZone` | `getDefault()`
    `String` | `getDisplayName()`
    `String` | `getDisplayName(boolean var0, int var1)`
    `String` | `getDisplayName(boolean var0, int var1, Locale var2)`
    `String` | `getDisplayName(Locale var0)`
    `int` | `getDSTSavings()`
    `String` | `getID()`
    `abstract int` | `getOffset(int var0, int var1, int var2, int var3, int var4, int var5)`
    `int` | `getOffset(long var0)`
    `abstract int` | `getRawOffset()`
    `static TimeZone` | `getTimeZone(String var0)`
    `boolean` | `hasSameRules(TimeZone var0)`
    `abstract boolean` | `inDaylightTime(Date var0)`
    `static void` | `setDefault(TimeZone var0)`
    `void` | `setID(String var0)`
    `abstract void` | `setRawOffset(int var0)`
    `abstract boolean` | `useDaylightTime()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LONG

          public static final int LONG

      See Also:
        Constant Field Values

    - #### SHORT

          public static final int SHORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimeZone

          public TimeZone()

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### getAvailableIDs

          public static String[] getAvailableIDs()

    - #### getAvailableIDs

          public static String[] getAvailableIDs(int var0)

    - #### getDSTSavings

          public int getDSTSavings()

    - #### getDefault

          public static TimeZone getDefault()

    - #### getDisplayName

          public final String getDisplayName()

    - #### getDisplayName

          public final String getDisplayName(Locale var0)

    - #### getDisplayName

          public final String getDisplayName(boolean var0,
                              int var1)

    - #### getDisplayName

          public String getDisplayName(boolean var0,
                              int var1,
                              Locale var2)

    - #### getID

          public String getID()

    - #### getOffset

          public abstract int getOffset(int var0,
                      int var1,
                      int var2,
                      int var3,
                      int var4,
                      int var5)

    - #### getOffset

          public int getOffset(long var0)

    - #### getRawOffset

          public abstract int getRawOffset()

    - #### getTimeZone

          public static TimeZone getTimeZone(String var0)

    - #### hasSameRules

          public boolean hasSameRules(TimeZone var0)

    - #### inDaylightTime

          public abstract boolean inDaylightTime(Date var0)

    - #### setDefault

          public static void setDefault(TimeZone var0)

    - #### setID

          public void setID(String var0)

    - #### setRawOffset

          public abstract void setRawOffset(int var0)

    - #### useDaylightTime

          public abstract boolean useDaylightTime()